{% extends 'adminbase.html.twig' %}

{% block title %}Variation of product : {{ product.title }}{% endblock %}

{% block body %}
<section class="row">
    <div class="col-lg-6">
        <a href="{{ path('app_product_index') }}" class="btn btn-success">Retour</a>
    </div>
    <div class="col-lg-6 text-end">
        <a href="{{ path('app_product_variation_new', {id: product.id}) }}" class="btn btn-success">Ajouter</a>
    </div>
    
</section>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Discription</th>
                <th>Price</th>
                <th>Slug</th>
                <th>Qty</th>
                <th>colour</th>
                <th>DefaultVariation</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
            {% for product_variation in product.productVariations %}
            <tr>
                <td>{{ product_variation.id }}</td>
                <td>{{ product_variation.subtitle }}</td>
                <td>{{ product_variation.discrition }}</td>
                <td>{{ product_variation.price }}</td>
                <td>{{ product_variation.slug }}</td>
                <td>{{ product_variation.qty }}</td>
                <td>{{product_variation.colour}}</td>
                <td>{{ product_variation.defaultvariation ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('app_admin_product_pictures_variation', {'id':product.id,'id': product_variation.id}) }}">Pictures</a>
                </td>
                <td>
                    <a href="{{ path('app_admin_product_size_variation_list', {'id':product.id,'id': product_variation.id}) }}">Options</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>


{% endblock %}
